Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.btree
Class Value

    java.lang.Object
      org.exist.storage.btree.Value

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  CollectionStore.CollectionKey, CollectionStore.DocumentKey, ElementValue, NativeBroker.NodeRef

public class Value
extends java.lang.Object
implements java.lang.Comparable

Value is the primary base class for all data storing objects. The content window of Value objects are immutable, but the underlying byte array is not.

Constructor Summary
`Value()`
`Value(byte[] data)`
`Value(byte[] data, int pos, int len)`
`Value(java.lang.String data)`
`Value(Value value)`

Method Summary
`int` | `comparePrefix(Value value)`
`int` | `compareTo(java.lang.Object obj)`
`int` | `compareTo(Value value)`
`byte[]` | `data()`
`java.lang.String` | `dump()`
`boolean` | `endsWith(Value value)`
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `equals(Value value)`
`long` | `getAddress()`
`byte[]` | `getData()` getData retrieves the data being stored by the Value as a byte array.
`int` | `getLength()` getLength retrieves the length of the data being stored by the Value.
`int` | `hashCode()`
`void` | `setAddress(long addr)`
`int` | `start()`
`boolean` | `startsWith(Value value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Value

    public Value()

### Value

    public Value(Value value)

### Value

    public Value(byte[] data)

### Value

    public Value(byte[] data,
                 int pos,
                 int len)

### Value

    public Value(java.lang.String data)

Method Detail

### setAddress

    public void setAddress(long addr)

### getAddress

    public long getAddress()

### getData

    public byte[] getData()

  getData retrieves the data being stored by the Value as a byte array.

  Returns:
    The Data

### data

    public final byte[] data()

### start

    public final int start()

### getLength

    public final int getLength()

  getLength retrieves the length of the data being stored by the Value.

  Returns:
    The Value length

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

### equals

    public boolean equals(Value value)

### equals

    public boolean equals(java.lang.Object obj)

### compareTo

    public final int compareTo(Value value)

### compareTo

    public final int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### comparePrefix

    public final int comparePrefix(Value value)

### startsWith

    public final boolean startsWith(Value value)

### endsWith

    public final boolean endsWith(Value value)

### dump

    public java.lang.String dump()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.